Subject: Re: bug#27272: 25.2; [patch] Fix positional args among keyword args in eldoc.

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Jun 2017 18:04:29 +0300

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked]
> Date: Thu, 08 Jun 2017 10:17:36 +0200
> 
> >> >> Try to move your cursor on the different args with and without patch applied.
> >> >
> >> > Could you please tell it in English?
> >> 
> >> No I can't sorry.
> >
> > Then I don't see how I can approve your patch.  Maybe you can ask
> > someone else to explain the issue.
> 
> Perhaps I have also other things to do than loosing my time on this
> mailing list.
> 
> So ignore the patch and consider this bugreport:
> 
>     Eldoc is highlighting wrongly positional arguments when they are mixed
>     with keyword arguments.
> 
> Then if you feel it is a bug, fix it (or not) otherwise close this
> bugreport.
> 
> Thanks.
> 
> BTW I am the original author of the code I was trying to patch, nevermind.

Oh, my.  I feel there's some gigantic misunderstanding here, most
probably due to my wording.  Sorry about that.  Let me try again.

Could you please elaborate on the incorrect behavior in the example
you provided?  You wrote:

> (cl-defun foo (prompt lst &key a b c))
> 
> (foo "prompt: " bar :b 2)
> 
> Try to move your cursor on the different args with and without patch applied.

Can you please point out which positional arguments are wrongly
highlighted, and in which one of these two lines?